<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.organizationCustomer.home.title">Organization Customers</span>
            </h5>
            <p-dataTable
                [value]="organizationCustomers"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idCustomer"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                        <ul class="nav justify-content-end">
                                <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['organization-costumer-popup-new-upload'] } }]"><span><i class="fa fa-upload" aria-hidden="true"></i> &nbsp;{{ 'entity.action.loadFile' | translate }}</span></a>
                                </li>
                                <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['organization-customer-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                                </li>

                        <!-- <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'organization-customer/'+ rowData.idCustomer + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button> -->

                        </ul>
                    <!-- <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['organization-customer-new'] } }]">
                        </button>
                    </div> -->
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="{{ 'mpmApp.organizationCustomer.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.organizationCustomer.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.organizationCustomer.idCustomer'|translate}}" [style]="{'width': '90px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idCustomer}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.organizationCustomer.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.idCustomer">
                            <a [routerLink]="['../party', rowData.idCustomer  ]" >{{rowData.partyName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.organizationCustomer.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                                (click)="print()"
                                icon="fa-eye"
                                class="ui-button-info"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'organization-customer/'+ rowData.idCustomer + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idCustomer)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>